Smart Proxy - Bug #35384

dns_dnscmd is missing a require 'timeout’ statement

08/18/2022 10:22 AM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: DNS
Target version: 3.4.0
Difficulty: Fixed in Releases: 3.4.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/842
Description

Reported in https://github.com/theforeman/smart-proxy/pull/829.

Associated revisions

Revision 22282fc7 - 08/18/2022 10:23 AM - Ewoud Kohl van Wijngaarden

Fixes #35384 - Add missing require 'timeout'
This explicitly requires timeout rather than depending on it implicitly.

Fixes: aa25357d4404908d5e5707e767ecd798b754d7d1

History

#1 - 08/18/2022 10:25 AM - Ewoud Kohl van Wijngaarden
- Target version changed from 3.5.0 to 3.4.1

#2 - 08/18/2022 10:25 AM - Ewoud Kohl van Wijngaarden
- Target version changed from 3.4.1 to 3.4.0

#3 - 08/18/2022 10:26 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/842 added

#4 - 08/18/2022 05:09 PM - The Foreman Bot
- Fixed in Releases 3.5.0 added

#5 - 08/18/2022 05:12 PM - Ewoud Kohl van Wijngaarden
- Triaged changed from No to Yes

- Fixed in Releases 3.4.0 added

- Fixed in Releases deleted (3.5.0)

#6 - 08/18/2022 06:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset 22282fc7483{7a2439cc69¢c57d361860ea221fc9.

05/18/2024

1/1



https://github.com/theforeman/smart-proxy/pull/829
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/22282fc7483f7a2439cc69c57d361860ea221fc9
http://www.tcpdf.org

